<template>
  <div id="app">
    <router-view />
    <theme-picker />
    <Assistant v-if="routertf" />
  </div>
</template>

<script>
import ThemePicker from "@/components/ThemePicker";

export default {
  name: "App",
  components: {
    ThemePicker,
    Assistant: () => import("./components/Assistant"), //异步组件加载方式
  },
  data() {
    return {
      routers: window.location.href,
      routertf: true,
    };
  },
  created() {
    var startIndex = this.routers.indexOf("param5=") + "param5=".length; // 找到第一个字符的位置
    this.routertf = JSON.parse(this.routers.substring(startIndex)); // 截取从 'param5=' 之后的内容
  },
  metaInfo() {
    return {
      title:
        this.$store.state.settings.dynamicTitle &&
        this.$store.state.settings.title,
      titleTemplate: (title) => {
        return title
          ? `${title} - ${process.env.VUE_APP_TITLE}`
          : process.env.VUE_APP_TITLE;
      },
    };
  },
};
</script>
<style scoped>
#app {
  overflow-y: scroll;
  height: 100vh;
  background: #f8fafd;
  /* font-family: "Microsoft YaHei", Arial, Helvetica, sans-serif, "宋体"; */
  font-family: "Hiragino Sans GB";
}
#app .theme-picker {
  display: none;
}
</style>
